org.apache.tinkerpop.gremlin.structure.io.binary.types

## Class TraversalStrategySerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.binary.types.SimpleTypeSerializer<TraversalStrategy>
  - - org.apache.tinkerpop.gremlin.structure.io.binary.types.TraversalStrategySerializer

- All Implemented Interfaces:
    TypeSerializer<TraversalStrategy>

      public class TraversalStrategySerializer
      extends SimpleTypeSerializer<TraversalStrategy>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalStrategySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TraversalStrategy` | `readValue(Buffer buffer, GraphBinaryReader context)` Reads a non-nullable value according to the type format.
    `protected void` | `writeValue(TraversalStrategy value, Buffer buffer, GraphBinaryWriter context)` Writes a non-nullable value into a buffer using the provided allocator.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.binary.types.SimpleTypeSerializer

      `getDataType, read, readValue, write, writeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalStrategySerializer

          public TraversalStrategySerializer()

  - ### Method Detail

    - #### readValue

          protected TraversalStrategy readValue(Buffer buffer,
                                                GraphBinaryReader context)
                                         throws IOException

      Description copied from class: `SimpleTypeSerializer`
      Reads a non-nullable value according to the type format.
      Specified by:
        `readValue` in class `SimpleTypeSerializer<TraversalStrategy>`
      Parameters:
        `buffer` - A buffer which reader index has been set to the beginning of the {value}.
        `context` - The binary reader.
      Returns:
      Throws:
        `IOException`

    - #### writeValue

          protected void writeValue(TraversalStrategy value,
                                    Buffer buffer,
                                    GraphBinaryWriter context)
                             throws IOException

      Description copied from class: `SimpleTypeSerializer`
      Writes a non-nullable value into a buffer using the provided allocator.
      Specified by:
        `writeValue` in class `SimpleTypeSerializer<TraversalStrategy>`
      Parameters:
        `value` - A non-nullable value.
        `buffer` - The buffer allocator to use.
        `context` - The binary writer.
      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.